Class UmlBaseFragment

this class manages fragments

Declaration :

- C++ : class UmlBaseFragment
- Java : class UmlBaseFragment

Directly inherited by : UmlFragment

Artifact : UmlBaseFragment

Operation name

return the name

Declaration :

- Uml : + name() : string
- C++ : public: const QCString & name() const
- Java : public String name()

Operation compartments

return the compartments, at least one compartment exists

Declaration :

- Uml : + compartments() : UmlFragmentCompartment
- C++ : public: const QVector<UmlFragmentCompartment> & compartments() const
- Java : public UmlFragmentCompartment[] compartments()

Operation container

return the fragment compartment containing the fragment,
or 0/null

Declaration :

- Uml : + container() : UmlFragmentCompartment
- C++ : public: UmlFragmentCompartment * container() const
- Java : public UmlFragmentCompartment container()

Relation _container (<unidirectional association>)

Declaration :

- Uml : - _container : UmlFragmentCompartment
- C++ : private: UmlFragmentCompartment * _container
- Java : private UmlFragmentCompartment _container

Relation _compartments (<directional composition>)

Declaration :

- Uml : - _compartments : UmlFragmentCompartment, multiplicity : *
- C++ : private: QVector<UmlFragmentCompartment> _compartments
- Java : private UmlFragmentCompartment[] _compartments

Attribut _name

Declaration :

- Uml : - _name : string
- C++ : private: QCString _name
- Java : private String _name

Attribut _x

Declaration :

- Uml : - _x : int
- C++ : private: int _x
- Java : private int _x

Attribut _y

Declaration :

- Uml : - _y : int
- C++ : private: int _y
- Java : private int _y

Attribut _w

Declaration :

- Uml : - _w : int
- C++ : private: int _w
- Java : private int _w

Attribut _h

Declaration :

- Uml : - _h : int
- C++ : private: int _h
- Java : private int _h

Operation read_

internal, don't call it

Declaration :

- Uml : + read_() : void
- C++ : private: void read_()
- Java : public void read_()

Operation get_container_

internal

Declaration :

- Uml : static, + get_container_(in x : int, in y : int, in w : int, in h : int, in fragments : UmlFragment) : UmlFragmentCompartment
- C++ : public: static UmlFragmentCompartment * get_container_(int x, int y, int w, int h, const QVector<UmlFragment> & fragments)
- Java : public static UmlFragmentCompartment get_container_(int x, int y, int w, int h, UmlFragment[] fragments)

Operation compute_container_

internal

Declaration :

- Uml : static, + compute_container_(in fragments : UmlFragment) : void
- C++ : private: static void compute_container_(QVector<UmlFragment> & fragments)
- Java : public static void compute_container_(UmlFragment[] fragments)

Operation w

Declaration :

- Uml : + w() : int
- C++ : public: int w() const
- Java : public int w()

Operation h

Declaration :

- Uml : + h() : int
- C++ : public: int h() const
- Java : public int h()

Operation ~UmlBaseFragment

to avoid compiler warning, don't call it

Declaration :

- Uml : + ~UmlBaseFragment() :
- C++ : public: ~UmlBaseFragment()

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseUseCaseDiagramDefinition;
        friend class UmlBaseSequenceDiagramDefinition;

All public operations : compartments , compute_container_ , container , get_container_ , h , name , read_ , w